Name:		sk1libs
Version:	0.9.1
Release:	%mkrel 10
Summary:	Set of Python Non-GUI Extensions for sK1 Project
License:	GPLv2+ and LGPLv2+
Group:		Graphics/Utilities
URL:		http://sk1project.org/
Source0:	http://sk1project.org/downloads/%{name}/%{name}-%{version}.tar.gz
# Fix / kludge for Tcl 8.6 (good old interp->result) - AdamW 2008/12
Patch0:		sk1libs-math-fix.diff
Patch1:		sk1libs-0.9.1-freetype-2.1.patch
BuildRequires:	freetype2-devel
BuildRequires:	lcms-devel
BuildRequires:	jpeg-devel
BuildRequires:	python-devel
BuildRequires:	zlib-devel
Requires:	python-imaging
Requires:	python-lcms


%description
sk1libs is a set of python non-GUI extensions for sK1 Project. The package
includes multiplatform non-GUI extensions which are usually native extensions.

%prep
%setup -q
%apply_patches
sed -i -e 's,tcl8.5,tcl%{tcl_version},g' setup.py
sed -i -e 's,tk8.5,tk%{tcl_version},g' setup.py

%build
%{__python} ./setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --compile --optimize=2

%files
%{py_platsitedir}/*



%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.9.1-10.mga6
+ Revision: 941707
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-9.mga5
+ Revision: 742067
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.1-8.mga5
+ Revision: 730137
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-7.mga5
+ Revision: 689179
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 fwang <fwang> 0.9.1-6.mga5
+ Revision: 644172
- real fix
- fix build with new freetype
- fix build with new freetype
- fix build with new freetype
- force use freetype 2.1

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.1-5.mga4
+ Revision: 544470
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.1-4.mga4
+ Revision: 499865
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jan 24 2013 fwang <fwang> 0.9.1-3.mga3
+ Revision: 391913
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 30 2012 doktor5000 <doktor5000> 0.9.1-1.mga2
+ Revision: 203129
-  don't own %%{py_platsitedir}
- remove useless macros (oname, distname, dirname)
- remove obsolete BuildRoot, %%clean section and empty %%defattr
- remove useless implicit provide
- small cosmetics (reordered preamble according to spec policy)
- imported package sk1libs, provided by Herbert Poetzel
  (mga#3545) needed for uniconvertor


* Sun Jan 08 2012 Herbert Poetzl <herbert@13thfloor.at> 0.9.1
- initial release


